/*
 * UnificationEnv.java
 *
 * Created on 17 de Junho de 2005, 17:33
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package net.sourceforge.czt.typecheck.circus.util;

import java.util.List;

import net.sourceforge.czt.z.ast.*;
import net.sourceforge.czt.typecheck.z.util.*;
import net.sourceforge.czt.typecheck.z.impl.*;
import net.sourceforge.czt.circus.ast.*;
import net.sourceforge.czt.typecheck.circus.impl.*;

/**
 *
 * @author Manuela
 */
public class UnificationEnv 
  extends net.sourceforge.czt.typecheck.z.util.UnificationEnv
{

  public UnificationEnv(ZFactory zFactory)
  {
    super(zFactory);
  }

  public UResult unify(Type2 typeA, Type2 typeB)
  {
    UResult result = FAIL;
    result = super.unify(typeA, typeB);
    return result;
  }
    
}
